Update Document Request Addresses
Update pickup and/or delivery addresses on a draft document request.
/regulatory-documents/request/:request_id/addresses
PUT https://api.terminal.africa/v1/regulatory-documents/request/:request_id/addresses
Re-matches available_documents when the delivery country changes.
At least one of pickup_address or delivery_address is required.
Path Parameters
request_id*
String
Document request id. e.g. DRQ-ABC1234567.
Headers
Authorization*
String
Set value to Bearer SECRET_KEY
Content-Type*
String
Set value to application/json
Request Body
pickup_address
Object
Pickup address snapshot. Partial updates merge with existing.
delivery_address
Object
Delivery address snapshot. Partial updates merge with existing.
Address object fields
first_name
String
Contact first name.
last_name
String
Contact last name.
line1
String
Address line 1.
line2
String
Address line 2.
city
String
City.
state
String
State or province.
country
String
ISO country code. e.g. US, NG.
zip
String
Postal or ZIP code.
phone
String
Phone number.
String
Email address.
Sample body
Last updated
Was this helpful?